Subject: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jun 2023 17:12:50 +0300

> From: João Távora <[email-masked]>
> Date: Sat, 17 Jun 2023 14:26:48 +0100
> Cc: [email-masked], [email-masked], 
> 	[email-masked]
> 
> > Does any documentation promise any particular order of overlays?
> 
> No, not that I know of, but it's just the behaviour I've always observed.
> This seemingly MacOS-specific undefinition is the first time I hear of this
> behaviour.
> 
> IMO, unexpected behaviour doesn't have to go against actual documented
> behaviour to be considered a bug.  However if you know that this
> indefinition exists and you want it to enshrine it (say, for some performance
> reason) then I believe this should be documented.

What order did your code expect in that case?

> > > In any case, one defensive option is to push the patch I showed to Emacs
> > > 29.  Subject, of course, to testing on at least some machine where the
> > > problem does indeed happen.
> >
> > Yes, let's wait for the confirmation that it fixes the problem.
> 
> I think it has already been tested successfully.

Yes, so I think the fix should be installed.